org.eclipse.emf.cdo.common.revision

## Interface CDORevisionCacheAdder

- All Known Subinterfaces:
    CDORevisionCache, InternalCDORevisionCache, InternalCDORevisionManager
  All Known Implementing Classes:
    DelegatingCDORevisionManager

      public interface CDORevisionCacheAdder

  An entity that `revisions` can be added to.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRevision(CDORevision revision)` Adds the given revision to this cache.

- - ### Method Detail

    - #### addRevision

          void addRevision(CDORevision revision)

      Adds the given revision to this cache.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html